Zum Hauptinhalt springen
GET
/
public
/
v1
/
media-service
/
slots
Get Slots
curl --request GET \
  --url https://api.topsort.com/public/v1/media-service/slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderBy": [
    {}
  ]
}
'
import requests

url = "https://api.topsort.com/public/v1/media-service/slots"

payload = { "orderBy": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderBy: [{}]})
};

fetch('https://api.topsort.com/public/v1/media-service/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "slots": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dimensions": {},
      "page": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "url": "<string>",
        "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "imageUrl": "<string>"
      },
      "isActive": true
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Abfrageparameter

position
enum<string>
erforderlich

The position of the slot.

Verfügbare Optionen:
landing,
category_search,
category,
search
page_id
string<uuid> | null

The ID of the page. If provided, the slots will be filtered by the page.

Search query to be matched with page url, page name or slot id.

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

limit
integer
Standard:25

Limits the number of records to be returned. The limit can not surpass 50 and its default is 25.

Erforderlicher Bereich: x <= 50

Body

application/json

Request body containing the orderBy dimensions and directions.

orderBy
SlotOrderByClause · object[]
erforderlich

The fields to sort the results by.

Antwort

Successful Response

hasMore
boolean
erforderlich

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

slots
AdConfigSlot · object[]
erforderlich
nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Beispiel:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="